Subject: Re: Problem while cloning a git repo

From: Yann COLLETTE <[email-masked]>
Date: Thu, 14 Nov 2013 09:20:51 +0100

I am not able to clone via https because gerrit doesn't propose this way 
of cloning.
When I clone via http, I see that git is starting the download of objects:
remote: Counting objects: 256, done
remote: Finding sources: 100% (256/256)
Receiving objects: 46% ... (this part always fails at 46 %).
So, I think that the proxy part is not a problem (there is no proxy set 
here).
If I set GIT_CURL_VERBOSE=1 before cloning, I've got the following error:
* Problem (2) in the Chunked-Encoded data
* Closing connection 1

YC

Le 14/11/2013 00:40, brian m. carlson a écrit :
> On Wed, Nov 13, 2013 at 08:43:28AM +0100, Yann COLLETTE wrote:
>> Hello,
>>
>> When I perform the git clone via git, it works. The problem is only
>> happening via http.
>> I tried to play with http.postBuffer and I set this parameter to
>> it's maximum (a little bit before a git clone triggered a memory
>> alloc problem) and I see that something big is trying to be
>> downloaded. But I don't see such a big file in my history of
>> commits. The maximum one seems to be around 50 Mo ...
> Please keep the list in CC.
>
> http.postBuffer doesn't affect clones, only pushes, so that isn't
> relevant here.  You're experiencing something that is dropping the
> connection over HTTP.  So you either have a bad proxy, or something else
> is causing the connection to be dropped.  Since it's only over HTTP, I
> suspect it's the former.
>
> Do you have HTTPS, and if so, does it work if you try to clone over
> that?
>